Bug 188573 - [maintainer-update] multimedia/libaacs multimedia/libbluray
[maintainer-update] multimedia/libaacs multimedia/libbluray
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thomas Zander
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-13 23:00 UTC by kamikaze
Modified: 2014-04-27 15:25 UTC (History)
0 users

See Also:


Attachments
file.diff (7.47 KB, patch)
2014-04-13 23:00 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2014-04-13 23:00:00 UTC
Update libaacs from 0.6.0 to 0.7.0
- Library version was bumped, may require relinking of dependencies

Update libbluray from 0.3.0 to 0.5.0
- Unbreak JAVA options
- Library version was bumped, may require relinking of dependencies

Fix: Patch attached with submission follows:
Comment 1 Thomas Zander freebsd_committer 2014-04-26 18:18:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 2 dfilter freebsd_committer 2014-04-27 15:14:34 UTC
Author: riggs
Date: Sun Apr 27 14:14:26 2014
New Revision: 352423
URL: http://svnweb.freebsd.org/changeset/ports/352423
QAT: https://qat.redports.org/buildarchive/r352423/

Log:
  - Update libaacs to 0.7.0
    - Add LICENSE
    - USES tar:bzip2
  - Update libbluray 0.5.0
    - Unbreak JAVA option
    - USES tar:bzip2
  - Bump PORTREVISION in depdendent ports due to shared lib version bump
  
  PR:		ports/188573
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  Approved by:	thierry (mentor)

Added:
  head/multimedia/libbluray/files/
  head/multimedia/libbluray/files/patch-src-Makefile.am   (contents, props changed)
  head/multimedia/libbluray/files/patch-util-refcnt.h   (contents, props changed)
Modified:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/libaacs/Makefile
  head/multimedia/libaacs/distinfo
  head/multimedia/libaacs/pkg-plist
  head/multimedia/libbluray/Makefile
  head/multimedia/libbluray/distinfo
  head/multimedia/libbluray/pkg-plist
  head/multimedia/libxine/Makefile
  head/multimedia/mplayer2/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/vdr-plugin-xineliboutput/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/xbmc/Makefile

Modified: head/multimedia/ffmpeg/Makefile
==============================================================================
--- head/multimedia/ffmpeg/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/ffmpeg/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ffmpeg
 PORTVERSION=	2.1.1
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	1
 CATEGORIES=	multimedia audio ipv6 net
 MASTER_SITES=	http://ffmpeg.org/releases/

Modified: head/multimedia/libaacs/Makefile
==============================================================================
--- head/multimedia/libaacs/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libaacs/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libaacs
-PORTVERSION=	0.6.0
+PORTVERSION=	0.7.0
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://ftp.videolan.org/pub/videolan/${PORTNAME}/${PORTVERSION}/ \
 		http://blu.opsec.eu/
@@ -10,14 +10,15 @@ MASTER_SITES=	ftp://ftp.videolan.org/pub
 MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	Advanced Access Content System implementation
 
+LICENSE=	LGPL21
+
 BUILD_DEPENDS=	${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex
 LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt \
 		libgpg-error.so:${PORTSDIR}/security/libgpg-error
 
-USE_BZIP2=	yes
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	autoconf aclocal automake libtool
-USES=		bison gettext iconv
+USES=		bison gettext iconv tar:bzip2
 
 HAS_CONFIGURE=	yes
 CONFIGURE_ENV+=	LEX="${LOCALBASE}/bin/flex"
@@ -30,18 +31,11 @@ MAKE_ARGS+=	pkgconfigdir="${PREFIX}/libd
 run-autotools:
 	@cd ${WRKSRC} && ${SH} bootstrap
 
-plist: build
+plist: stage
 	@${ECHO} "===> Rebuilding PLIST."
-	@${MKDIR} "${WRKDIR}/plist"
-	@cd ${WRKSRC} && ( \
-		${SETENV} ${CONFIGURE_ENV} ./configure ${CONFIGURE_ARGS} --prefix="${WRKDIR}/plist" && \
-		${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_ARGS} pkgconfigdir="${WRKDIR}/plist/libdata/pkgconfig" ${INSTALL_TARGET} ; \
-		${SETENV} ${CONFIGURE_ENV} ./configure ${CONFIGURE_ARGS} \
-	)
-	@${FIND} -ds "${WRKDIR}/plist/" -not -type d \
-		| ${SED} "s|${WRKDIR}/plist/||1" > ${PLIST}
-	@${FIND} -ds "${WRKDIR}/plist/" -type d -mindepth 2 \
-		| ${SED} -e "/pkgconfig/d" -e "s|${WRKDIR}/plist/|@dirrm |1" >> ${PLIST}
-	@${RM} -rf "${WRKDIR}/plist"
+	@${MTREE_CMD} -cp "${STAGEDIR}${PREFIX}/" > "${WRKDIR}/plist.mtree"
+	@${MTREE_CMD} -Sf "${WRKDIR}/plist.mtree" -f "${MTREE_FILE}" \
+		| ${SED} -ne '/ dir /{s/ .*//;s/^/@dirrm /;H;};t dirs' \
+		         -e 's/ .*//p;:dirs' -e '$${g;s/^\n//p;}' > ${PLIST}
 
 .include <bsd.port.mk>

Modified: head/multimedia/libaacs/distinfo
==============================================================================
--- head/multimedia/libaacs/distinfo	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libaacs/distinfo	Sun Apr 27 14:14:26 2014	(r352423)
@@ -1,2 +1,2 @@
-SHA256 (libaacs-0.6.0.tar.bz2) = 8f1dadef40257280e5aff4242cca5bb81a0267921c7402f474156e3eb45ec1d9
-SIZE (libaacs-0.6.0.tar.bz2) = 331318
+SHA256 (libaacs-0.7.0.tar.bz2) = f0ecc8e9b2ed531da5f06d6e686992e5281eb906ab418577276e74d8f9a143c0
+SIZE (libaacs-0.7.0.tar.bz2) = 311337

Modified: head/multimedia/libaacs/pkg-plist
==============================================================================
--- head/multimedia/libaacs/pkg-plist	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libaacs/pkg-plist	Sun Apr 27 14:14:26 2014	(r352423)
@@ -5,6 +5,6 @@ include/libaacs/filesystem.h
 lib/libaacs.a
 lib/libaacs.la
 lib/libaacs.so
-lib/libaacs.so.3
+lib/libaacs.so.4
 libdata/pkgconfig/libaacs.pc
 @dirrm include/libaacs

Modified: head/multimedia/libbluray/Makefile
==============================================================================
--- head/multimedia/libbluray/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libbluray/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libbluray
-PORTVERSION=	0.3.0
-PORTREVISION=	1
+PORTVERSION=	0.5.0
 PORTEPOCH=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://ftp.videolan.org/pub/videolan/${PORTNAME}/${PORTVERSION}/ \
@@ -14,14 +13,14 @@ COMMENT=	Blu-Ray discs playback library 
 
 LICENSE=	LGPL21
 
-LIB_DEPENDS=	libxml2.so:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS=	libfreetype.so:${PORTSDIR}/print/freetype2
 # dlopen dependencies, libbdplus not yet available
 LIB_DEPENDS+=	libaacs.so:${PORTSDIR}/multimedia/libaacs
 
-USES=		iconv pkgconfig
+USES=		iconv pkgconfig tar:bzip2
 USE_LDCONFIG=	yes
-USE_BZIP2=	yes
 USE_AUTOTOOLS=	autoconf aclocal automake libtool
+USE_GNOME=	libxml2
 
 HAS_CONFIGURE=	yes
 MAKE_ARGS=	pkgconfigdir="${PREFIX}/libdata/pkgconfig"
@@ -34,32 +33,46 @@ JAVA_DESC=	Enable Blu-Ray Java support
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MJAVA}
-BROKEN=		Does not build with JAVA
 BUILD_DEPENDS+=	ant:${PORTSDIR}/devel/apache-ant
 CATEGORIES+=	java
 USE_JAVA=	yes
-JAVA_VERSION=	1.4+
+JAVA_VERSION=	1.6+
 JAVA_BUILD=	yes
 JAVA_RUN=	yes
 CONFIGURE_ARGS+=	--enable-bdjava --with-bdj-type=j2se
 CONFIGURE_ENV+=	JDK_HOME="${JAVA_HOME}"
 .endif
 
+# Create PLIST_SUB definitions for options
+.for _option in ${OPTIONS_DEFINE}
+.if ${PORT_OPTIONS:M${_option}}
+PLIST_SUB+=	${_option}=""
+.else
+PLIST_SUB+=	${_option}="@comment "
+.endif
+.endfor
+
 run-autotools:
 	@cd ${WRKSRC} && ${SH} bootstrap
 
-plist: build
+plist:
 	@${ECHO} "===> Rebuilding PLIST."
-	@${MKDIR} "${WRKDIR}/plist"
-	@cd ${WRKSRC} && ( \
-		${SETENV} ${CONFIGURE_ENV} ./configure ${CONFIGURE_ARGS} --prefix="${WRKDIR}/plist" && \
-		${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_ARGS} pkgconfigdir="${WRKDIR}/plist/libdata/pkgconfig" ${INSTALL_TARGET} ; \
-		${SETENV} ${CONFIGURE_ENV} ./configure ${CONFIGURE_ARGS} \
-	)
-	@${FIND} -ds "${WRKDIR}/plist/" -not -type d \
-		| ${SED} "s|${WRKDIR}/plist/||1" > ${PLIST}
-	@${FIND} -ds "${WRKDIR}/plist/" -type d -mindepth 2 \
-		| ${SED} -e "/pkgconfig/d" -e "s|${WRKDIR}/plist/|@dirrm |1" >> ${PLIST}
-	@${RM} -rf "${WRKDIR}/plist"
+.for _option in "" ${OPTIONS_DEFINE}
+	@${MAKE} clean stage OPTIONS_EXCLUDE="${OPTIONS_DEFINE:N${_option}}" \
+	                     WITH=${_option}
+	@${MTREE_CMD} -cp "${STAGEDIR}${PREFIX}/" > "${WRKDIR}/mtree.${_option}"
+	@${MTREE_CMD} -Sf "${WRKDIR}/mtree.${_option}" -f "${MTREE_FILE}" \
+		| ${SED} -ne '/share\/licenses/b dirs' \
+		         -e '/ dir /{s/ .*//;s/^/@dirrm /;H;};t dirs' \
+		         -e 's/ .*//p;:dirs' -e '$${g;s/^\n//p;}' \
+		> "plist.${_option}"
+.endfor
+.for _option in ${OPTIONS_DEFINE}
+	@${GREP} -vFx "$$(${CAT} "plist.")" "plist.${_option}" \
+		| ${SED} 's/^/%%${_option}%%/' > "plist.add.${_option}"
+	@${RM} "plist.${_option}"
+.endfor
+	@${CAT} plist. ${OPTIONS_DEFINE:C/^/plist.add./} > ${PLIST}
+	@${RM} plist. ${OPTIONS_DEFINE:C/^/plist.add./}
 
 .include <bsd.port.mk>

Modified: head/multimedia/libbluray/distinfo
==============================================================================
--- head/multimedia/libbluray/distinfo	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libbluray/distinfo	Sun Apr 27 14:14:26 2014	(r352423)
@@ -1,2 +1,2 @@
-SHA256 (libbluray-0.3.0.tar.bz2) = dc73ad618052ddd2d72bb847c8e5b9a1c9175db7b18d0456b21f484836c30038
-SIZE (libbluray-0.3.0.tar.bz2) = 510993
+SHA256 (libbluray-0.5.0.tar.bz2) = 19213e193e1abc5ed2de65edfb539deda1dbf6cc64dfef03e405524c9c6f7216
+SIZE (libbluray-0.5.0.tar.bz2) = 559639

Added: head/multimedia/libbluray/files/patch-src-Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/libbluray/files/patch-src-Makefile.am	Sun Apr 27 14:14:26 2014	(r352423)
@@ -0,0 +1,7 @@
+--- src/Makefile.am.orig	2014-04-13 18:08:03.000000000 +0200
++++ src/Makefile.am	2014-04-13 18:08:10.000000000 +0200
+@@ -1,4 +1,3 @@
+-SET_FEATURES = -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112L -D_REENTRANT
+ SET_INCLUDES = -I$(top_srcdir) -Ifile -Ilibbluray -Ilibbluray/bdnav
+ 
+ AM_CFLAGS = -std=c99 $(SET_FEATURES) $(SET_INCLUDES) $(LIBXML2_CFLAGS) $(FT2_CFLAGS)

Added: head/multimedia/libbluray/files/patch-util-refcnt.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/libbluray/files/patch-util-refcnt.h	Sun Apr 27 14:14:26 2014	(r352423)
@@ -0,0 +1,11 @@
+--- src/util/refcnt.h.orig	2014-04-13 17:52:33.000000000 +0200
++++ src/util/refcnt.h	2014-04-13 17:52:43.000000000 +0200
+@@ -18,7 +18,7 @@
+  */
+ 
+ #ifndef BD_REFCNT_H_
+-#define BD_FEFCNT_H_
++#define BD_REFCNT_H_
+ 
+ #include "attributes.h"
+ 

Modified: head/multimedia/libbluray/pkg-plist
==============================================================================
--- head/multimedia/libbluray/pkg-plist	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libbluray/pkg-plist	Sun Apr 27 14:14:26 2014	(r352423)
@@ -10,6 +10,8 @@ include/libbluray/overlay.h
 lib/libbluray.a
 lib/libbluray.la
 lib/libbluray.so
-lib/libbluray.so.4
+lib/libbluray.so.6
 libdata/pkgconfig/libbluray.pc
 @dirrm include/libbluray
+%%JAVA%%lib/libbluray/libbluray.jar
+%%JAVA%%@dirrm lib/libbluray

Modified: head/multimedia/libxine/Makefile
==============================================================================
--- head/multimedia/libxine/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/libxine/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xine
 PORTVERSION=	1.2.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	multimedia ipv6
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-lib/${PORTVERSION}
 PKGNAMEPREFIX=	lib

Modified: head/multimedia/mplayer2/Makefile
==============================================================================
--- head/multimedia/mplayer2/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/mplayer2/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -2,7 +2,7 @@
 
 PORTNAME=	mplayer2
 PORTVERSION=	${MPLAYER2_PORT_VERSION}
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	multimedia audio
 MASTER_SITES=	LOCAL/gblach/
 

Modified: head/multimedia/mpv/Makefile
==============================================================================
--- head/multimedia/mpv/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/mpv/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mpv
 PORTVERSION=	0.3.7
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	1
 CATEGORIES=	multimedia audio
 MASTER_SITES=	GH:0 GHC:0 http://waf.googlecode.com/files/:1

Modified: head/multimedia/vdr-plugin-xineliboutput/Makefile
==============================================================================
--- head/multimedia/vdr-plugin-xineliboutput/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/vdr-plugin-xineliboutput/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vdr-plugin-xineliboutput
 PORTVERSION=	1.0.90s20120511
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	multimedia
 MASTER_SITES=	SF:release \
 		LOCAL:snapshot

Modified: head/multimedia/vlc/Makefile
==============================================================================
--- head/multimedia/vlc/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/vlc/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vlc
 DISTVERSION=	2.1.2
-PORTREVISION=	5
+PORTREVISION=	6
 PORTEPOCH=	4
 CATEGORIES=	multimedia audio ipv6 net www
 MASTER_SITES=	http://download.videolan.org/pub/videolan/${PORTNAME}/${DISTVERSION:S/a$//}/ \

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Sun Apr 27 14:11:30 2014	(r352422)
+++ head/multimedia/xbmc/Makefile	Sun Apr 27 14:14:26 2014	(r352423)
@@ -2,7 +2,7 @@
 
 PORTNAME=	xbmc
 DISTVERSION=	13.0.beta1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	multimedia
 
 MAINTAINER=	mickael.maillot@gmail.com
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Zander freebsd_committer 2014-04-27 15:25:37 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!